Robotics Service Bus - Tasks #516
Reorganize files and directories in rsb-protocol
08/19/2011 11:50 PM - J. Moringen

Status:
Priority:
Assignee:
Category:
Target version:

Resolved
Normal

J. Wienke
Protocol
0.6

Start date: 08/19/2011
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

- Split Protocol.proto into Notification.proto and MetaData.proto

- Include MetaData.proto from Notification.proto
- Move both files into a rsb/protocol subdirectory (matching their package rsb.protocol)

Related issues:

Related to RSBag - Tasks # 509: Create a protocol buffer message for serializ... Resolved 08/18/2011

08/22/2011

History

#1 - 08/29/2011 11:37 AM - J. Wienke

Why exactly am | assignee? ;)

#2 - 08/30/2011 02:31 AM - J. Moringen

Default assignee for protocol category ;)

#3 - 09/15/2011 09:56 AM - J. Wienke

What exactly was the motivation for this? | forgot the argumentation.

#4 - 09/15/2011 04:05 PM - J. Moringen

The idea was to conform to https://code.cor-lab.org/projects/rst/wiki/OganizationConventions.

#5 - 10/21/2011 04:47 PM - S. Wrede

- Target version changed from rsb-0.10 to rsb-0.7

#6 - 10/27/2011 02:12 PM - J. Wienke

- Status changed from New to In Progress

I will do this while implementing full notification support for project:rsbtimesync

#7 - 10/28/2011 05:28 PM - J. Wienke
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

04/16/2024
https://code.cor-lab.org/projects/rst/wiki/OganizationConventions

This was done in r2988

#8 - 11/18/2011 02:44 PM - S. Wrede
- Target version changed from rsb-0.7 to 0.6
